Bug 1123771 - Review Request: mingw-rest - library to access RESTful web services
Summary: Review Request: mingw-rest - library to access RESTful web services
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 975835 1170201 1200067
TreeView+ depends on / blocked
 
Reported: 2014-07-28 08:45 UTC by Marc-Andre Lureau
Modified: 2016-08-14 15:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
amigadave: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marc-Andre Lureau 2014-07-28 08:45:04 UTC
Spec URL: http://elmarco.fedorapeople.org/mingw-rest.spec
SRPM URL: http://elmarco.fedorapeople.org/mingw-rest-0.7.91-1.fc20.src.rpm
Description: library to access RESTful web services
Fedora Account System Username: elmarco

Comment 1 David King 2014-08-03 08:45:03 UTC
Package Review
==============

All fine, although it would be nice to:

* use a download.gnome.org source URL
* use a better URL: https://wiki.gnome.org/Projects/Librest
* Use INSTALL="install -p" during make install, to preserve timestamps on some files


Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: mingw32-rest : /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7
  /rest-extras/flickr-proxy-call.h mingw32-rest : /usr/i686-w64-mingw32/sys-
  root/mingw/include/rest-0.7/rest-extras/flickr-proxy.h mingw32-rest :
  /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest-extras/lastfm-
  proxy-call.h mingw32-rest : /usr/i686-w64-mingw32/sys-
  root/mingw/include/rest-0.7/rest-extras/lastfm-proxy.h mingw32-rest :
  /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest-extras/youtube-
  proxy.h mingw32-rest : /usr/i686-w64-mingw32/sys-
  root/mingw/include/rest-0.7/rest/oauth-proxy-call.h mingw32-rest :
  /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/oauth-proxy.h
  mingw32-rest : /usr/i686-w64-mingw32/sys-
  root/mingw/include/rest-0.7/rest/oauth2-proxy-call.h mingw32-rest :
  /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/oauth2-proxy.h
  mingw32-rest : /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest
  /rest-enum-types.h mingw32-rest : /usr/i686-w64-mingw32/sys-
  root/mingw/include/rest-0.7/rest/rest-param.h mingw32-rest :
  /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/rest-params.h
  mingw32-rest : /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest
  /rest-proxy-auth.h mingw32-rest : /usr/i686-w64-mingw32/sys-
  root/mingw/include/rest-0.7/rest/rest-proxy-call.h mingw32-rest :
  /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/rest-proxy.h
  mingw32-rest : /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest
  /rest-xml-node.h mingw32-rest : /usr/i686-w64-mingw32/sys-
  root/mingw/include/rest-0.7/rest/rest-xml-parser.h mingw64-rest :
  /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest-extras/flickr-
  proxy-call.h mingw64-rest : /usr/x86_64-w64-mingw32/sys-
  root/mingw/include/rest-0.7/rest-extras/flickr-proxy.h mingw64-rest :
  /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest-extras/lastfm-
  proxy-call.h mingw64-rest : /usr/x86_64-w64-mingw32/sys-
  root/mingw/include/rest-0.7/rest-extras/lastfm-proxy.h mingw64-rest :
  /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest-extras/youtube-
  proxy.h mingw64-rest : /usr/x86_64-w64-mingw32/sys-
  root/mingw/include/rest-0.7/rest/oauth-proxy-call.h mingw64-rest :
  /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/oauth-proxy.h
  mingw64-rest : /usr/x86_64-w64-mingw32/sys-
  root/mingw/include/rest-0.7/rest/oauth2-proxy-call.h mingw64-rest :
  /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/oauth2-proxy.h
  mingw64-rest : /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest
  /rest-enum-types.h mingw64-rest : /usr/x86_64-w64-mingw32/sys-
  root/mingw/include/rest-0.7/rest/rest-param.h mingw64-rest :
  /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/rest-params.h
  mingw64-rest : /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest
  /rest-proxy-auth.h mingw64-rest : /usr/x86_64-w64-mingw32/sys-
  root/mingw/include/rest-0.7/rest/rest-proxy-call.h mingw64-rest :
  /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/rest-proxy.h
  mingw64-rest : /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest
  /rest-xml-node.h mingw64-rest : /usr/x86_64-w64-mingw32/sys-
  root/mingw/include/rest-0.7/rest/rest-xml-parser.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: mingw32-rest, mingw64-rest. Illegal package
  name: mingw32-rest, mingw64-rest. Does not provide -static: mingw32-rest,
  mingw64-rest.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

Both fine for MinGW packages.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
     Note: Checking patched sources after %prep for licenses. Licenses found:
[x]: License field in the package spec file matches the actual license.
     "GPL (v2 or later)", "Unknown or generated", "*No copyright* LGPL (v2.1
     or later)". 68 files have unknown license. Detailed output of
     licensecheck in /home/david/checkout/rpms/1123771-mingw-
     rest/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 81920 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     mingw32-rest , mingw64-rest
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
     Note: mingw32-rest : /usr/i686-w64-mingw32/sys-
     root/mingw/lib/pkgconfig/rest-0.7.pc mingw32-rest : /usr/i686-w64-mingw32
     /sys-root/mingw/lib/pkgconfig/rest-extras-0.7.pc mingw64-rest :
     /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/rest-0.7.pc
     mingw64-rest : /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/rest-
     extras-0.7.pc
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define release_version %(echo
     %{version} | awk -F. '{print $1"."$2}')
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-rest-0.7.91-1.fc22.noarch.rpm
          mingw64-rest-0.7.91-1.fc22.noarch.rpm
          mingw-rest-0.7.91-1.fc22.src.rpm
mingw32-rest.noarch: W: spelling-error %description -l en_US urls -> curls, purls, hurls
mingw32-rest.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/librest-extras-0.7.dll.a
mingw32-rest.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/librest-0.7.dll.a
mingw32-rest.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/rest-enum-types.h
mingw32-rest.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest-extras/lastfm-proxy.h
mingw32-rest.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/librest-extras-0.7.dll.a
mingw32-rest.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/librest-extras-0.7.dll.a
mingw32-rest.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/librest-0.7.dll.a
mingw32-rest.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/librest-0.7.dll.a
mingw32-rest.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest-extras/flickr-proxy.h
mingw32-rest.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/rest-xml-node.h
mingw32-rest.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/oauth2-proxy.h
mingw32-rest.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/rest-proxy.h
mingw32-rest.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/rest-proxy-auth.h
mingw32-rest.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/rest-xml-parser.h
mingw32-rest.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/rest-param.h
mingw32-rest.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/rest-0.7.pc
mingw32-rest.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/rest-extras-0.7.pc
mingw32-rest.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest-extras/lastfm-proxy-call.h
mingw32-rest.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/rest-params.h
mingw32-rest.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest-extras/flickr-proxy-call.h
mingw32-rest.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/oauth-proxy-call.h
mingw32-rest.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/rest-proxy-call.h
mingw32-rest.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest-extras/youtube-proxy.h
mingw32-rest.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/oauth-proxy.h
mingw32-rest.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/oauth2-proxy-call.h
mingw32-rest.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
mingw64-rest.noarch: W: spelling-error %description -l en_US urls -> curls, purls, hurls
mingw64-rest.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/librest-0.7.dll.a
mingw64-rest.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/librest-extras-0.7.dll.a
mingw64-rest.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest-extras/youtube-proxy.h
mingw64-rest.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/rest-xml-parser.h
mingw64-rest.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/rest-param.h
mingw64-rest.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/oauth-proxy.h
mingw64-rest.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/librest-0.7.dll.a
mingw64-rest.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/librest-0.7.dll.a
mingw64-rest.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/rest-proxy.h
mingw64-rest.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/rest-extras-0.7.pc
mingw64-rest.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/rest-xml-node.h
mingw64-rest.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest-extras/lastfm-proxy.h
mingw64-rest.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/oauth-proxy-call.h
mingw64-rest.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/oauth2-proxy.h
mingw64-rest.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/rest-proxy-call.h
mingw64-rest.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/rest-proxy-auth.h
mingw64-rest.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/oauth2-proxy-call.h
mingw64-rest.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/rest-0.7.pc
mingw64-rest.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/rest-params.h
mingw64-rest.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/librest-extras-0.7.dll.a
mingw64-rest.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/librest-extras-0.7.dll.a
mingw64-rest.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest-extras/lastfm-proxy-call.h
mingw64-rest.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest-extras/flickr-proxy-call.h
mingw64-rest.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest/rest-enum-types.h
mingw64-rest.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/rest-0.7/rest-extras/flickr-proxy.h
mingw64-rest.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
mingw-rest.src: W: spelling-error %description -l en_US urls -> curls, purls, hurls
3 packages and 0 specfiles checked; 4 errors, 51 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mingw32-rest mingw64-rest
mingw32-rest.noarch: W: spelling-error %description -l en_US urls -> curls, purls, hurls
mingw64-rest.noarch: W: spelling-error %description -l en_US urls -> curls, purls, hurls
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
mingw32-rest (rpmlib, GLIBC filtered):
    mingw32(kernel32.dll)
    mingw32(libgio-2.0-0.dll)
    mingw32(libglib-2.0-0.dll)
    mingw32(libgobject-2.0-0.dll)
    mingw32(librest-0.7-0.dll)
    mingw32(libsoup-2.4-1.dll)
    mingw32(libsoup-gnome-2.4-1.dll)
    mingw32(libxml2-2.dll)
    mingw32(msvcrt.dll)
    mingw32-crt
    mingw32-filesystem
    mingw32-pkg-config
    pkgconfig

mingw64-rest (rpmlib, GLIBC filtered):
    mingw64(kernel32.dll)
    mingw64(libgio-2.0-0.dll)
    mingw64(libglib-2.0-0.dll)
    mingw64(libgobject-2.0-0.dll)
    mingw64(librest-0.7-0.dll)
    mingw64(libsoup-2.4-1.dll)
    mingw64(libsoup-gnome-2.4-1.dll)
    mingw64(libxml2-2.dll)
    mingw64(msvcrt.dll)
    mingw64-crt
    mingw64-filesystem
    mingw64-pkg-config
    pkgconfig



Provides
--------
mingw32-rest:
    mingw32(librest-0.7-0.dll)
    mingw32(librest-extras-0.7-0.dll)
    mingw32-rest

mingw64-rest:
    mingw64(librest-0.7-0.dll)
    mingw64(librest-extras-0.7-0.dll)
    mingw64-rest



Source checksums
----------------
ftp://ftp.gnome.org/pub/gnome/sources/rest/0.7/rest-0.7.91.tar.xz :
  CHECKSUM(SHA256) this package     : 838814d935143f2dc99eb79f1ac69c615e7b547339f6cd226dd0ed4d7c16b67a
  CHECKSUM(SHA256) upstream package : 838814d935143f2dc99eb79f1ac69c615e7b547339f6cd226dd0ed4d7c16b67a


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1123771
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Fabiano Fidêncio 2014-12-01 01:07:53 UTC
David,

I've followed your suggestions about:
* use a download.gnome.org source URL
* use a better URL: https://wiki.gnome.org/Projects/Librest
* Use INSTALL="install -p" during make install, to preserve timestamps on some files

Spec URL: https://fidencio.fedorapeople.org/mingw-rest.spec
SRPM URL: https://fidencio.fedorapeople.org/mingw-rest-0.7.92-1.fc22.src.rpm
Description: library to access RESTful web services
Fedora Account System Username: fidencio

Comment 3 David King 2014-12-01 08:37:26 UTC
I have already approved the review, now you just need to make an SCM request: https://fedoraproject.org/wiki/Package_SCM_admin_requests

Also, you should remove the %clean section which you added (and the "rm -rf" in %install).

Comment 4 Marc-Andre Lureau 2014-12-01 10:23:11 UTC
New Package SCM Request
=======================
Package Name: mingw-rest
Short Description: library to access RESTful web services
Upstream URL: https://wiki.gnome.org/Projects/Librest
Owners: elmarco fidencio
Branches: f21

Comment 5 Gwyn Ciesla 2014-12-01 13:16:48 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.